body {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #5fa5f5;
  font-family: "Arial";
}

.base_container {
  display: flex;
  flex-direction: column;
  min-width: 870px;
  width: 60%;
  justify-content: center;
}

.header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.header img {
  width: 80px;
  height: 80px;
}

.applet_title {
  font-size: 40px;
  color: #104887;
}

.main_container {
  display: flex;
  flex-direction: row;
  margin-top: 30px;
}

.left_column {
  display: flex;
  flex-direction: column;
  width: 45%;
  align-items: center;
}

.right_column {
  display: flex;
  flex-direction: column;
  width: 55%;
}

.input_section {
  display: flex;
  flex-direction: column;
  margin-bottom: 25px;
}

.horizontal_section {
  margin-top: 20px;
}

.dropdown_area {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.section_label {
  font-weight: bold;
  margin-bottom: 5px
}

input {
  height: 20px;
  border: 3px solid #2365af;
  border-radius: 2px;
}

.details_box {
  width: 100%;
  height: 300px;
  border: 3px solid #2365af;
  border-radius: 2px;
  background-color: white;
}

#clear {
  margin-top: 15px;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.dropdown_button {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: #EEEEEE;
  border-radius: 0px;
  align-items: center;
}

.dropdown_button span:last-child {
  border-left: 1px solid black;
  padding-left: 5px;
}

.dropdown_button:focus .dropdown_menu {
  display: block;
  background-color: white;
  height: 40px;
  width: 40px;
}

.dropdown_menu {
  display: none
}

.dropdown_menu.open {
  display: flex;
  flex-direction: column;
  position: absolute;
  width: 140px;
  height: auto;
  background-color: white;
  border: 2px solid gray;
  z-index: 3;
  cursor: pointer;
}

.dropdown_item {
  padding: 2px;
}

.dropdown_item:hover {
  background-color: #DDDDDD;
}

.details_box {
  display: flex;
  flex-direction: column;
  padding: 5px;
  white-space: pre-line;
  overflow-y: scroll;
}

.table_header {
  display: flex;
  flex-direction: row;
  justify-content: center;
  font-weight: bold;
  font-size: 18px;
}

.table_header span {
  display: flex;
  flex-direction: row;
  border-bottom: 1px solid black;
  border-right: 1px solid black;
  width: 55px;
  height: 25px;
  justify-content: center;
  align-items: center;
}

.table_header span:last-child {
  border-right: none;
}

.table_row {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.table_row span {
  display: flex;
  flex-direction: row;
  border-right: 1px solid black;
  width: 55px;
  height: 25px;
  justify-content: center;
  align-items: center;
}

.table_row span:last-child {
  border-right: none;
}

button {
  margin-right: 10px;
  width: 130px;
  height: 30px;
  background-color: #FFFFFF;
  border: 3px solid #104887;
  border-radius: 5px;
  font-size: 14px;
}

button:hover {
  background-color: #bdd7f4;
}
